<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (1.8.0_201) on Tue Jun 11 21:47:09 AEST 2019 -->
<title>SurvivalModeExtent (worldedit-core 7.0.0 API)</title>
<meta name="date" content="2019-06-11">
<link rel="stylesheet" type="text/css" href="../../../../../stylesheet.css" title="Style">
<script type="text/javascript" src="../../../../../script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="SurvivalModeExtent (worldedit-core 7.0.0 API)";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extent/world/FastModeExtent.html" title="class in com.sk89q.worldedit.extent.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/world/SurvivalModeExtent.html" target="_top">Frames</a></li>
<li><a href="SurvivalModeExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<div class="subTitle">com.sk89q.worldedit.extent.world</div>
<h2 title="Class SurvivalModeExtent" class="title">Class SurvivalModeExtent</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">com.sk89q.worldedit.extent.AbstractDelegateExtent</a></li>
<li>
<ul class="inheritance">
<li>com.sk89q.worldedit.extent.world.SurvivalModeExtent</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>, <a href="../../../../../com/sk89q/worldedit/extent/InputExtent.html" title="interface in com.sk89q.worldedit.extent">InputExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">SurvivalModeExtent</span>
extends <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></pre>
<div class="block">Makes changes to the world as if a player had done so during survival mode.

 <p>Note that this extent may choose to not call the underlying
 extent and may instead call methods on the <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world"><code>World</code></a> that is passed
 in the constructor. For that reason, if you wish to "catch" changes, you
 should catch them before the changes reach this extent.</p></div>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#SurvivalModeExtent-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.world.World-">SurvivalModeExtent</a></span>(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                  <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</code>
<div class="block">Create a new instance.</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#hasStripNbt--">hasStripNbt</a></span>()</code>&nbsp;</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#hasToolUse--">hasToolUse</a></span>()</code>
<div class="block">Return whether changes to the world should be simulated with the
 use of game tools (such as pickaxes) whenever possible and reasonable.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code>&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;<br>boolean</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-B-">setBlock</a></span>(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;location,
        B&nbsp;block)</code>
<div class="block">Change the block at the given location to the given block.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#setStripNbt-boolean-">setStripNbt</a></span>(boolean&nbsp;stripNbt)</code>&nbsp;</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#setToolUse-boolean-">setToolUse</a></span>(boolean&nbsp;toolUse)</code>
<div class="block">Set whether changes to the world should be simulated with the
 use of game tools (such as pickaxes) whenever possible and reasonable.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.com.sk89q.worldedit.extent.AbstractDelegateExtent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;com.sk89q.worldedit.extent.<a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></h3>
<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#commit--">commit</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#commitBefore--">commitBefore</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#createEntity-com.sk89q.worldedit.util.Location-com.sk89q.worldedit.entity.BaseEntity-">createEntity</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getBiome-com.sk89q.worldedit.math.BlockVector2-">getBiome</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getBlock-com.sk89q.worldedit.math.BlockVector3-">getBlock</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getEntities--">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getEntities-com.sk89q.worldedit.regions.Region-">getEntities</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getExtent--">getExtent</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getFullBlock-com.sk89q.worldedit.math.BlockVector3-">getFullBlock</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getMaximumPoint--">getMaximumPoint</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#getMinimumPoint--">getMinimumPoint</a>, <a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#setBiome-com.sk89q.worldedit.math.BlockVector2-com.sk89q.worldedit.world.biome.BiomeType-">setBiome</a></code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="SurvivalModeExtent-com.sk89q.worldedit.extent.Extent-com.sk89q.worldedit.world.World-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>SurvivalModeExtent</h4>
<pre>public&nbsp;SurvivalModeExtent(<a href="../../../../../com/sk89q/worldedit/extent/Extent.html" title="interface in com.sk89q.worldedit.extent">Extent</a>&nbsp;extent,
                          <a href="../../../../../com/sk89q/worldedit/world/World.html" title="interface in com.sk89q.worldedit.world">World</a>&nbsp;world)</pre>
<div class="block">Create a new instance.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>extent</code> - the extent</dd>
<dd><code>world</code> - the world</dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="hasToolUse--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasToolUse</h4>
<pre>public&nbsp;boolean&nbsp;hasToolUse()</pre>
<div class="block">Return whether changes to the world should be simulated with the
 use of game tools (such as pickaxes) whenever possible and reasonable.

 <p>For example, we could pretend that the act of setting a coal ore block
 to air (nothing) was the act of a player mining that coal ore block
 with a pickaxe, which would mean that a coal item would be dropped.</p></div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if tool use is to be simulated</dd>
</dl>
</li>
</ul>
<a name="setToolUse-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setToolUse</h4>
<pre>public&nbsp;void&nbsp;setToolUse(boolean&nbsp;toolUse)</pre>
<div class="block">Set whether changes to the world should be simulated with the
 use of game tools (such as pickaxes) whenever possible and reasonable.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>toolUse</code> - true if tool use is to be simulated</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="../../../../../com/sk89q/worldedit/extent/world/SurvivalModeExtent.html#hasToolUse--"><code>for an explanation</code></a></dd>
</dl>
</li>
</ul>
<a name="hasStripNbt--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>hasStripNbt</h4>
<pre>public&nbsp;boolean&nbsp;hasStripNbt()</pre>
</li>
</ul>
<a name="setStripNbt-boolean-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>setStripNbt</h4>
<pre>public&nbsp;void&nbsp;setStripNbt(boolean&nbsp;stripNbt)</pre>
</li>
</ul>
<a name="setBlock-com.sk89q.worldedit.math.BlockVector3-com.sk89q.worldedit.world.block.BlockStateHolder-">
<!--   -->
</a><a name="setBlock-com.sk89q.worldedit.math.BlockVector3-B-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>setBlock</h4>
<pre>public&nbsp;&lt;B extends <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block">BlockStateHolder</a>&lt;B&gt;&gt;&nbsp;boolean&nbsp;setBlock(<a href="../../../../../com/sk89q/worldedit/math/BlockVector3.html" title="class in com.sk89q.worldedit.math">BlockVector3</a>&nbsp;location,
                                                        B&nbsp;block)
                                                 throws <a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></pre>
<div class="block"><span class="descfrmTypeLabel">Description copied from interface:&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">OutputExtent</a></code></span></div>
<div class="block">Change the block at the given location to the given block. The operation may
 not tie the given <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> to the world, so future changes to the
 <a href="../../../../../com/sk89q/worldedit/world/block/BlockStateHolder.html" title="interface in com.sk89q.worldedit.world.block"><code>BlockStateHolder</code></a> do not affect the world until this method is called again.

 <p>The return value of this method indicates whether the change was probably
 successful. It may not be successful if, for example, the location is out
 of the bounds of the extent. It may be unsuccessful if the block passed
 is the same as the one in the world. However, the return value is only an
 estimation and it may be incorrect, but it could be used to count, for
 example, the approximate number of changes.</p></div>
<dl>
<dt><span class="overrideSpecifyLabel">Specified by:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in interface&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/OutputExtent.html" title="interface in com.sk89q.worldedit.extent">OutputExtent</a></code></dd>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html#setBlock-com.sk89q.worldedit.math.BlockVector3-T-">setBlock</a></code>&nbsp;in class&nbsp;<code><a href="../../../../../com/sk89q/worldedit/extent/AbstractDelegateExtent.html" title="class in com.sk89q.worldedit.extent">AbstractDelegateExtent</a></code></dd>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>location</code> - position of the block</dd>
<dd><code>block</code> - block to set</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>true if the block was successfully set (return value may not be accurate)</dd>
<dt><span class="throwsLabel">Throws:</span></dt>
<dd><code><a href="../../../../../com/sk89q/worldedit/WorldEditException.html" title="class in com.sk89q.worldedit">WorldEditException</a></code> - thrown on an error</dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../../overview-summary.html">Overview</a></li>
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="../../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../../index-all.html">Index</a></li>
<li><a href="../../../../../help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="../../../../../com/sk89q/worldedit/extent/world/FastModeExtent.html" title="class in com.sk89q.worldedit.extent.world"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="../../../../../index.html?com/sk89q/worldedit/extent/world/SurvivalModeExtent.html" target="_top">Frames</a></li>
<li><a href="SurvivalModeExtent.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../../allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li>Nested&nbsp;|&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
